Bug 22365 - Warn on Log Viewer
Summary: Warn on Log Viewer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-19 01:34 UTC by Aleisha Amohia
Modified: 2019-10-14 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22365: Removing warn when accessing Log Viewer (904 bytes, patch)
2019-02-19 01:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 22365: Removing warn when accessing Log Viewer (960 bytes, patch)
2019-04-14 18:39 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22365: Removing warn when accessing Log Viewer (1018 bytes, patch)
2019-04-17 05:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-02-19 01:34:52 UTC
Just going to Tools -> Log viewer generates this warn:

CGI::param called in list context from package CGI::Compile::ROOT::home_vagrant_kohaclone_tools_viewlog_2epl line 96, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436.
Comment 1 Aleisha Amohia 2019-02-19 01:37:15 UTC
Created attachment 85262 [details] [review]
Bug 22365: Removing warn when accessing Log Viewer

To test:
Go to Tools -> Log Viewer and confirm the warn no longer shows after
applying the patch.

Sponsored-by: Catalyst IT
Comment 2 Michal Denar 2019-04-14 18:39:39 UTC
Created attachment 87952 [details] [review]
Bug 22365: Removing warn when accessing Log Viewer

To test:
Go to Tools -> Log Viewer and confirm the warn no longer shows after
applying the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Katrin Fischer 2019-04-17 05:44:47 UTC
Created attachment 88130 [details] [review]
Bug 22365: Removing warn when accessing Log Viewer

To test:
Go to Tools -> Log Viewer and confirm the warn no longer shows after
applying the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-19 14:55:26 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 14:16:41 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-05-13 21:47:54 UTC
backported to 18.05.x for 18.05.13